summaryrefslogtreecommitdiffstats
path: root/abs/core/xymon/hobbit-myth-orphan.sh
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2011-12-30 19:01:55 (GMT)
committerJames Meyer <james.meyer@operamail.com>2011-12-30 19:01:55 (GMT)
commit6c34ebb23c8e730186ac473ca0dd8aa599b66c40 (patch)
tree16c920eebfcee0247c70b26e1b24fde8865a2709 /abs/core/xymon/hobbit-myth-orphan.sh
parent5752c2147ae11aa7bf72c54c74d1393543cbcc7b (diff)
downloadlinhes_pkgbuild-6c34ebb23c8e730186ac473ca0dd8aa599b66c40.zip
linhes_pkgbuild-6c34ebb23c8e730186ac473ca0dd8aa599b66c40.tar.gz
linhes_pkgbuild-6c34ebb23c8e730186ac473ca0dd8aa599b66c40.tar.bz2
xymon: fix check for myth_mtc and add support for myth_orphan check.
refs: #806
Diffstat (limited to 'abs/core/xymon/hobbit-myth-orphan.sh')
-rw-r--r--abs/core/xymon/hobbit-myth-orphan.sh86
1 files changed, 40 insertions, 46 deletions
diff --git a/abs/core/xymon/hobbit-myth-orphan.sh b/abs/core/xymon/hobbit-myth-orphan.sh
index f9f7d54..5cba136 100644
--- a/abs/core/xymon/hobbit-myth-orphan.sh
+++ b/abs/core/xymon/hobbit-myth-orphan.sh
@@ -1,53 +1,47 @@
#!/bin/bash
TMPFILE=/tmp/oprhan.result
-/usr/local/bin/myth.find_orphans.pl > $TMPFILE
-
-
- COLUMN=orphan # Name of the column
- COLOR=green # By default, everything is OK
-
- # Do whatever you need to test for something
- # As an example, go red if /tmp/badstuff exists.
-
-thumbs=`grep -A 4 "Summary:" $TMPFILE |tail -n 1 | cut -d" " -f3 `
-if [ ! x$thumbs = x0 ]
-then
- MSG="$thumbs orphaned thumbnails with no corresponding recording"
- COLOR='yellow'
-fi
-
-missing=`grep -A 2 "Summary:" $TMPFILE |tail -n 1 | cut -d, -f2 | cut -d" " -f2 `
-if [ ! x$missing = x0 ]
-then
- COLOR='red'
-MSG="${MSG}
- `grep -A 2 "Summary:" $TMPFILE |tail -n 1 ` "
-fi
-
-unkown=`grep -A 5 "Summary:" $TMPFILE |tail -n 1 | cut -d" " -f3 `
-if [ ! x$unkown = x0 ]
-then
- COLOR='red'
-MSG="${MSG}
-`grep -A 5 "Summary:" $TMPFILE |tail -n 1 `"
-fi
-
-
-MSG="${MSG}
-
-
- `cat $TMPFILE`
- "
-
- # Tell Hobbit about it
- $BB $BBDISP "status $MACHINE.$COLUMN $COLOR `date`
-/usr/local/bin/myth.find_orphans.pl
-
+MYTHCONFDIR=/usr/share/mythtv /usr/LH/bin/find_orphans.py --printonly > $TMPFILE
+
+
+COLUMN=orphan # Name of the column
+COLOR=green # By default, everything is OK
+MSG="All OK"
+
+
+
+
+#yellow
+for i in "Orphaned video files" "Orphaned snapshots" "Database backups" "Other files"
+do
+ grep -q "$i" $TMPFILE
+ status=$?
+ if [ $status -eq 0 ]
+ then
+ COLOR="yellow"
+ MSG="Problems found"
+ fi
+done
+
+#red
+for i in "Recordings with missing files" "Zero byte recordings"
+do
+ grep -q "$i" $TMPFILE
+ status=$?
+ if [ $status -eq 0 ]
+ then
+ COLOR="red"
+ MSG="Problems found"
+ fi
+done
+
+MSG="
+ ${MSG}
+ `cat $TMPFILE` "
+# Tell Hobbit about it
+$BB $BBDISP "status $MACHINE.$COLUMN $COLOR `date`
${MSG}
-
"
-
- exit 0
+exit 0